Loading...
Searching...
No Matches
XrdTlsContext::CTX_Params Struct Reference

`#include <XrdTlsContext.hh>`

Collaboration diagram for XrdTlsContext::CTX_Params:

## Public Member Functions

| CTX_Params ()
| ~CTX_Params ()

## Public Attributes

std::string | cadir
| -> ca cert directory.
std::string | cafile
| -> ca cert file.
std::string | cert
| -> certificate path.
int | crlRT
| crl refresh interval time in seconds
uint64_t | opts
| Options as passed to the constructor.
std::string | pkey
| -> private key path.
int | rsvd

## Detailed Description

Get parameters used to create the context.

Returns
  Pointer to a structure contaning initialization parameters.

Definition at line 74 of file XrdTlsContext.hh.

## Constructor & Destructor Documentation

## CTX_Params()

XrdTlsContext::CTX_Params::CTX_Params | ( |  | ) |

inline

Definition at line 83 of file XrdTlsContext.hh.

: opts(0), crlRT(DEFAULT_CRL_REF_INT_SEC), rsvd(0) {}
XrdTlsContext::DEFAULT_CRL_REF_INT_SEC
static const int DEFAULT_CRL_REF_INT_SEC
Default CRL refresh interval in seconds.
Definition XrdTlsContext.hh:66
XrdTlsContext::CTX_Params::opts
uint64_t opts
Options as passed to the constructor.
Definition XrdTlsContext.hh:79
XrdTlsContext::CTX_Params::rsvd
int rsvd
Definition XrdTlsContext.hh:81
XrdTlsContext::CTX_Params::crlRT
int crlRT
crl refresh interval time in seconds
Definition XrdTlsContext.hh:80

References crlRT, XrdTlsContext::DEFAULT_CRL_REF_INT_SEC, opts, and rsvd.

## ~CTX_Params()

XrdTlsContext::CTX_Params::~CTX_Params | ( |  | ) |

inline

Definition at line 84 of file XrdTlsContext.hh.

{}

## Member Data Documentation

## cadir

std::string XrdTlsContext::CTX_Params::cadir

-> ca cert directory.

Definition at line 77 of file XrdTlsContext.hh.

Referenced by XrdTlsContext::Clone().

## cafile

std::string XrdTlsContext::CTX_Params::cafile

-> ca cert file.

Definition at line 78 of file XrdTlsContext.hh.

Referenced by XrdTlsContext::Clone().

## cert

std::string XrdTlsContext::CTX_Params::cert

-> certificate path.

Definition at line 75 of file XrdTlsContext.hh.

Referenced by XrdTlsContext::Clone().

## crlRT

int XrdTlsContext::CTX_Params::crlRT

crl refresh interval time in seconds

Definition at line 80 of file XrdTlsContext.hh.

Referenced by CTX_Params(), and XrdTlsCrl::Refresh().

## opts

uint64_t XrdTlsContext::CTX_Params::opts

Options as passed to the constructor.

Definition at line 79 of file XrdTlsContext.hh.

Referenced by CTX_Params(), XrdTlsContext::Clone(), and XrdTlsSocket::Init().

## pkey

std::string XrdTlsContext::CTX_Params::pkey

-> private key path.

Definition at line 76 of file XrdTlsContext.hh.

Referenced by XrdTlsContext::Clone().

## rsvd

int XrdTlsContext::CTX_Params::rsvd

Definition at line 81 of file XrdTlsContext.hh.

Referenced by CTX_Params().

The documentation for this struct was generated from the following file:

- XrdTlsContext.hh